import request from '@/utils/request'

// 查询短链课程看课记录列表
export function listCourseWatchLog(query) {
  return request({
    url: '/qw/course/courseWatchLog/list',
    method: 'get',
    params: query
  })
}

export function myListCourseWatchLog(query) {
  return request({
    url: '/qw/course/courseWatchLog/myList',
    method: 'get',
    params: query
  })
}
export function statisticsList(query) {
  return request({
    url: '/qw/course/courseWatchLog/statisticsList',
    method: 'get',
    params: query
  })
}
export function statisticsListByCompany(query) {
  return request({
    url: '/qw/course/courseWatchLog/statisticsListByCompany',
    method: 'get',
    params: query
  })
}
export function qwWatchLogStatisticsList(query) {
  return request({
    url: '/qw/course/courseWatchLog/qwWatchLogStatisticsList',
    method: 'get',
    params: query
  })
}
export function myQwWatchLogStatisticsList(query) {
  return request({
    url: '/qw/course/courseWatchLog/myQwWatchLogStatisticsList',
    method: 'get',
    params: query
  })
}


export function qwWatchLogAllStatisticsList(query) {
  return request({
    url: '/qw/course/courseWatchLog/qwWatchLogAllStatisticsList',
    method: 'get',
    params: query
  })
}
export function myQwWatchLogAllStatisticsList(query) {
  return request({
    url: '/qw/course/courseWatchLog/myQwWatchLogAllStatisticsList',
    method: 'get',
    params: query
  })
}

export function watchLogStatistics(query) {
  return request({
    url: '/qw/course/courseWatchLog/watchLogStatistics',
    method: 'get',
    params: query
  })
}

// 查询短链课程看课记录详细
export function getCourseWatchLog(logId) {
  return request({
    url: '/qw/course/courseWatchLog/' + logId,
    method: 'get'
  })
}

// 新增短链课程看课记录
export function addCourseWatchLog(data) {
  return request({
    url: '/qw/course/courseWatchLog',
    method: 'post',
    data: data
  })
}

// 修改短链课程看课记录
export function updateCourseWatchLog(data) {
  return request({
    url: '/qw/course/courseWatchLog',
    method: 'put',
    data: data
  })
}

// 删除短链课程看课记录
export function delCourseWatchLog(logId) {
  return request({
    url: '/qw/course/courseWatchLog/' + logId,
    method: 'delete'
  })
}

// 导出短链课程看课记录
export function exportCourseWatchLog(query) {
  return request({
    url: '/qw/course/courseWatchLog/export',
    method: 'get',
    params: query
  })
}

export function exportCourseWatchLogStatisticsExportQw(query) {
  return request({
    url: '/qw/course/courseWatchLog/statisticsExport',
    method: 'POST',
    data: query
  })
}


export function watchLogStatisticsExport(query) {
  return request({
    url: '/qw/course/courseWatchLog/watchLogStatisticsExport',
    method: 'get',
    params: query
  })
}
export function listBytrainingCampId(query) {
  return request({
    url: '/qw/course/courseWatchLog/listBytrainingCampId',
    method: 'get',
    params: query
  })
}

export function getSignProjectName() {
  return request({
    url: '/qw/course/courseWatchLog/getSignProjectName',
    method: 'get'
  })
}

